Instalar IonCube Loader

Publicado por admin el 8 de julio de 2008 en PHP

Si usted necesita instalar IonCube loader para codificar y decodificar los scripts. Usted necesita instalar el paquete de IonCube loader en su sistema operativo.

Para realizar este procedimiento, es necesario ingresar como usuario root y descargar el IonCube Loader correspondiente a su servidor:

# lynx http://www.ioncube.com/loaders.php

Descargamos el archivo correspondiente a nuestra distribución del sistema operativo con usando la navegación de lynx.

# tar -zxvf ioncube_loaders.tar.gz
# cd ioncube

Copiar el archivo ioncube_loader_lin_5.2.so (o el correspondiente a su versión de PHP)  al directorio donde se encuentras los módulos de PHP.

# cp ioncube_loader_lin_5.2.so  /usr/lib/php/modules/
# chmod 0751 /usr/lib/php/modules/ioncube_loader_lin_5.2.so

Creamos un archivo ioncube.ini :

# vim /etc/php.d/ioncube.ini

Y  agregamos en el archivo la siguiente línea

zend_extension=/usr/lib/php/ioncube/ioncube_loader_lin_5.2.so

Guardamos y salimos.

Ahora debemos reiniciar el servidor httpd tipiando:
# /etc/init.d/httpd restart

Con esto estará instalado IonCube Loader en su servidor.

Verificamos la instalación de Ioncube Loader con el siguiente comando:

# php -v

Salida:

PHP 5.2.6 (cli) (built: May 2 2008 16:06:40)
Copyright (c) 1997-2008 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2008 Zend Technologies
with the ionCube PHP Loader v3.1.32, Copyright (c) 2002-2007, by ionCube Ltd., and
with Zend Optimizer v3.3.3, Copyright (c) 1998-2007, by Zend Technologies

Como se podrá observar aparece instalado ionCube correctamente.

4 comentarios sobre Instalar IonCube Loader

Por Emil el 28 de octubre de 2008 en 17:48

Hola !!
solo un detalle:
zend_extension=/usr/lib/php/modules/ioncube_loader_lin_5.2.so
eso es lo que tienes que agregar en el php.ini
pues lo habiamos copiado a la carpeta modules , no a ioncube :)

Gracias !
Emil !

Por Juan Camaney el 11 de diciembre de 2008 en 4:10

Yo deseo instalar una aplicacion CS-CART Carrito en mi servidor y cuando pongo install.php me pone el siguiente error “requires the ionCube PHP Loader ioncube_loader_lin_5.2.so to be installed by the site administrator.” El servidor es en GoDaddy…

PD: Esos pasos que seguiste me parece que los haces en UNIX o LINUX me parece ya lo he visto antes…nunca lo he hecho…Una pregunta yo puedo instalar el ion Cube PHP en el servidor de GoDaddy asi como tu lo explicas?

Saludos.

Por Jhon el 19 de agosto de 2011 en 22:08

Gracias!! me sirvio excelente

Por Marcelo el 29 de diciembre de 2011 en 14:42

Funciona perfecto este tutorial.
Acabo de instalarlo sin problemas en un centos 5.7 de 64 bits.
Saludos.

Escribir un comentario sobre Instalar IonCube Loader




Suscribirse

A los siguientes comentarios suscribiéndose a Instalar IonCube Loader Comments RSS feed.